Bug 187400 - [PATCH] devel/glib20: support python3.2+
[PATCH] devel/glib20: support python3.2+
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gnome
Depends on:
  Show dependency treegraph
Reported: 2014-03-09 20:20 UTC by corsmith
Modified: 2014-03-23 21:30 UTC (History)
0 users

See Also:

file.diff (3.19 KB, patch)
2014-03-09 20:20 UTC, corsmith
no flags Details | Diff
glib20.diff (435 bytes, patch)
2014-03-11 04:31 UTC, corsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corsmith 2014-03-09 20:20:00 UTC
Python 3.2+ supports different cache file locations based on the python interpreter in use.  The pkg-plist does not understand the cache directories and file names used in python 3.2+

Fix: Patch for devel/glib20 attached.

Patch attached with submission follows:
How-To-Repeat: Try to build the port with the following in make.conf
Comment 1 Edwin Groothuis freebsd_committer 2014-03-09 20:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 FreeBSD 2014-03-10 04:41:26 UTC
I believe the same result can be achieved by adding
PYTHON_PY3K_PLIST_HACK=yes to the Makefile.
Comment 3 dfilter freebsd_committer 2014-03-23 21:27:05 UTC
Author: kwm
Date: Sun Mar 23 21:27:02 2014
New Revision: 348890
URL: http://svnweb.freebsd.org/changeset/ports/348890
QAT: https://qat.redports.org/buildarchive/r348890/

  Support python3 as default python version.
  PR:		ports/187400 [1]
  Submitted by:	Corey Smith <corsmith@gmail.com> [1]


Modified: head/devel/glib20/Makefile
--- head/devel/glib20/Makefile	Sun Mar 23 21:00:44 2014	(r348889)
+++ head/devel/glib20/Makefile	Sun Mar 23 21:27:02 2014	(r348890)
@@ -29,6 +29,7 @@ USE_LDCONFIG=	yes
 USES=		gettext gmake iconv:wchar_t pathfix pkgconfig shebangfix perl5
 USE_GNOME=	ltverhack
 CONFIGURE_ARGS=	--enable-static \
 		--disable-gtk-doc --with-html-dir=${PREFIX}/share/doc \
 		--disable-man --without-xml-catalog \
svn-ports-all@freebsd.org mailing list
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2014-03-23 21:29:21 UTC
State Changed
From-To: open->closed

committed thanks!